> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# emailfromtype

> MDO provider for the EmailFromType enum

## "emailfromtype" MDO List

MDO provider for the EmailFromType enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.EmailFromTypeProvider">EmailFromTypeProvider</see> class.
The name of the MDO list is 'emailfromtype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/emailfromtype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("emailfromtype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                                    | StyleHint | ExtraInfo |
| -- | ------------------------------------------------------- | --------- | --------- |
| 0  | Always use:                                             |           |           |
| 1  | Use our contact where specified, otherwise use:         |           |           |
| 2  | Use our support contact where specified, otherwise use: |           |           |

## Related MDO Lists

* "emailfromtypeheadings"
* "emailfromtypeheadingswithallitem"
* "emailfromtypeheadingswithallitemwithnoselection"
* "emailfromtypeheadingswithnoselection"
* "emailfromtypewithallitem"
* "emailfromtypewithallitemwithnoselection"
* "emailfromtypewithnoselection"


## Related topics

- [Enum EmailFromType](/en/automation/crmscript/reference/CRMScript.NetServer.EmailFromType.md)
- [Enum values for EmailFromType](/en/database/tables/enums/emailfromtype.md)
- [SuperOffice.WebApi.Data.EmailFromType](/en/api/reference/webapi/SuperOffice.WebApi.Data.EmailFromType.md)
- [NSEmailFlow](/en/automation/crmscript/reference/CRMScript.NetServer.NSEmailFlow.md)
- [SuperOffice.WebApi.Data.EmailFlow](/en/api/reference/webapi/SuperOffice.WebApi.Data.EmailFlow.md)
- [email_flow table](/en/database/tables/email-flow.md)
